#/bin/sh

# Script to build an ASP plugin on Linux

# Plugin name
PLUGIN_NAME=USM

# Destination directory
PLUGIN_DIRNAME=~/.AfterShotPro/Plugins/$PLUGIN_NAME.afplugin

# Create the makefile from the project file
/usr/bin/qmake CONFIG+="release" $PLUGIN_NAME.pro

# Build the plugin
make clean
make

# Update locale source files
lupdate xlate.pro

# Compile locale source files
lrelease xlate.pro

# Create plugin directories
echo $PLUGIN_DIRNAME
/bin/mkdir -p $PLUGIN_DIRNAME/lib
/bin/mkdir -p $PLUGIN_DIRNAME/ui
/bin/mkdir -p $PLUGIN_DIRNAME/locale
/bin/mkdir -p $PLUGIN_DIRNAME/src
/bin/mkdir -p $PLUGIN_DIRNAME/src/locale

# Install plugin files
/bin/cp -f lib*.so $PLUGIN_DIRNAME/lib
/bin/cp -f *.ui $PLUGIN_DIRNAME/ui
/bin/cp -f locale/${PLUGIN_NAME}_fr.qm $PLUGIN_DIRNAME/locale
/bin/cp -f $PLUGIN_NAME.afpxml $PLUGIN_DIRNAME/Info.afpxml

# Install source files
/bin/cp -f src/* $PLUGIN_DIRNAME/src
/bin/cp -f src/locale/* $PLUGIN_DIRNAME/src/locale


