#!/bin/bash
#
# fixplugins.sh
# Takes one arg, the plugin library to fix, finds your QT path, and replaces that with the hard-coded
# but relative path needed for Bibble
# then displays the results - you shouldn't see absolute paths to Qt libraries in the output


if [ -z "$1" ]; then 
	echo usage: $0 BIBBLEPLUGIN
	exit
fi
PLUGIN=$1

if [ -e $PLUGIN ];then
	echo " "
	echo "=> Fixing $PLUGIN"
else
	echo "Didn't find the Plugin $PLUGIN"
	exit
fi

echo " "
echo "Old paths are as follows:"
otool -L $PLUGIN
echo " "

QTSRC1="QtGui.framework/Versions/4/QtGui "
QTSRC2="QtCore.framework/Versions/4/QtCore "
QTSRC3="QtWebKit.framework/Versions/4/QtWebKit "
QTSRC4="QtNetwork.framework/Versions/4/QtNetwork "
QTSRC5="QtTest.framework/Versions/4/QtTest "
QTSRC6="QtXml.framework/Versions/4/QtXml "

NEWPATH="@executable_path/../Frameworks/"

echo "About to change paths..."
echo " "
install_name_tool -change $QTSRC1 $NEWPATH$QTSRC1 $PLUGIN
install_name_tool -change $QTSRC2 $NEWPATH$QTSRC2 $PLUGIN
install_name_tool -change $QTSRC3 $NEWPATH$QTSRC3 $PLUGIN
install_name_tool -change $QTSRC4 $NEWPATH$QTSRC4 $PLUGIN
install_name_tool -change $QTSRC5 $NEWPATH$QTSRC5 $PLUGIN
install_name_tool -change $QTSRC6 $NEWPATH$QTSRC6 $PLUGIN

#echo The new path variables are;

#echo  $NEWPATH$QTSRC1 $PLUGIN
#echo  $NEWPATH$QTSRC2 $PLUGIN
#echo 
#echo "NEWPATH is "   $NEWPATH
#echo "QTSRC1 is "  $QTSRC1
#echo "QTSRC2 is "  $QTSRC2
#echo "QTSRC3 is "  $QTSRC3
#echo "QTSRC4 is "  $QTSRC4
#echo "QTSRC5 is "  $QTSRC5
#echo "QTSRC6 is "  $QTSRC6

echo "New paths are as follows:"
otool -L $PLUGIN








